//************************************************************************
// Inline method definitions for all classes declared in pairfact.h.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************

//************************************************************************
// PairFactory`s inline method definitions.
//************************************************************************

//------------------------------------------------------------------------
// Returns true iff len is a valid range length.
//------------------------------------------------------------------------
INLINE boolean PairFactory::isValidRangeLength(const String &len) const
   {
   return isValidRangePos(len);
   }

//------------------------------------------------------------------------
// Converts the String num into a StringInt. Assumes num represents a 
// valid StringInt.
//------------------------------------------------------------------------
INLINE StringInt PairFactory::stringToInt(const String &num) const
   {
   return atoi(num);
   }

