//************************************************************************
// Declaration of the Append filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef APPEND_H_
#define APPEND_H_

#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that appends the specified data to its input.
//------------------------------------------------------------------------
class Append: public ShellFilter
   {
   public:
      static Append string(const String &str);
      static Append file(const String &pathname);
      static Append stream(istream &in);
      Append(const Append &f);

      DEFINE_FILTER_COPIER(Append);
   private:
      Append &operator =(const Append &f);
      Append(const ComponentFilter &impl, int dummy);

   }; // class Append

#ifdef ENABLE_INLINES
   #include "append.inl"
#endif

#endif   // #ifndef APPEND_H_

