//************************************************************************
// Definitions of methods for all classes declared in charfilt.h.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************

#include "charfilt.h"

#ifndef ENABLE_INLINES
   #pragma hdrstop         // prevent attempts to precompile .inl file
   #include "charfilt.inl"
#endif

//************************************************************************
// Class CharacterFilter method definitions.
//************************************************************************

//------------------------------------------------------------------------
// Pass each character in the line to processChar().
//------------------------------------------------------------------------
void CharacterFilter::processLine(const String &line)
   {
   StringInt lineLength = line.length();
   for (StringInt i = 0; i < lineLength; i++)
      processChar(line.charAt(i));
   }

//------------------------------------------------------------------------
// Minimize the size of the outputBuffer.
//------------------------------------------------------------------------
void CharacterFilter::minimize()
   {
   SingleFilter::minimize();
   minimizeBuffer(outputBuffer);
   }

