//************************************************************************
// Definitions of methods for all classes declared in drop.h.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************

#include "drop.h"

#ifndef ENABLE_INLINES
   #pragma hdrstop         // prevent attempts to precompile .inl file
   #include "drop.inl"
#endif

//************************************************************************
// Class Drop method definitions.
//************************************************************************

//------------------------------------------------------------------------
// Constructs a Drop filter given the number of lines to take.
//------------------------------------------------------------------------
Drop::Drop(unsigned int numLines): 
   SingleFilter(), numLinesToDrop(numLines), numLinesDropped(0)
   {
   // empty
   }

//------------------------------------------------------------------------
// Copy constructor.
//------------------------------------------------------------------------
Drop::Drop(const Drop &f): 
   SingleFilter(f), numLinesToDrop(f.numLinesToDrop), 
   numLinesDropped(f.numLinesDropped)
   {
   // empty
   }

