//************************************************************************
// Declaration of the Drop filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef DROP_H_
#define DROP_H_

#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that discards the first numLines lines of its input.
//------------------------------------------------------------------------
class Drop: public SingleFilter
   {
   public:
      Drop(unsigned int numLines);
      Drop(const Drop &f);

      void processLine(const String &line);

      DEFINE_FILTER_COPIER(Drop);
   protected:
      void beforeInput();
   private:
      Drop &operator =(const Drop &f);

      unsigned int numLinesToDrop;
      unsigned int numLinesDropped;
   }; // class Drop

#ifdef ENABLE_INLINES
   #include "drop.inl"
#endif

#endif   // #ifndef DROP_H_

