//************************************************************************
// Declaration of the Include filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef INCLUDE_H_
#define INCLUDE_H_

#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that replaces each specially marked file name with the contents
// of that file.
//------------------------------------------------------------------------
class Include: public ShellFilter
   {
   public:
      // throws an InvalidFilterArgumentException if a tag is invalid:
      static Include tagged(const String &beginTag, const String &endTag);
      Include(const Include &f);

      DEFINE_FILTER_COPIER(Include);
   private:
      Include(const ComponentFilter &impl, int dummy);
      Include &operator =(const Include &f);
   }; // class Include

#ifdef ENABLE_INLINES
   #include "include.inl"
#endif

#endif   // #ifndef INCLUDE_H_

