//************************************************************************
// Declaration of the OutputError filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef OUTERROR_H_
#define OUTERROR_H_

#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that outputs the error message associated with any FilterError
// passed to it to the specified destination. Its input is output
// unchanged.
//------------------------------------------------------------------------
class OutputError: public ShellFilter
   {
   public:
      static OutputError toNextFilter();
      static OutputError toStream(ostream &outputStream);
      OutputError(const OutputError &f);

      DEFINE_FILTER_COPIER(OutputError);
   private:
      OutputError(const ComponentFilter &impl, int dummy);
      OutputError &operator =(const OutputError &f);

   }; // class OutputError

#ifdef ENABLE_INLINES
   #include "outerror.inl"
#endif

#endif   // #ifndef OUTERROR_H_

