//************************************************************************
// Declaration of the PassThrough filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef PASSTHRU_H_
#define PASSTHRU_H_

#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that outputs its input unchanged.
//------------------------------------------------------------------------
class PassThrough: public SingleFilter
   {
   public:
      PassThrough();
      PassThrough(const PassThrough &f);

      void processLine(const String &line);

      DEFINE_FILTER_COPIER(PassThrough);
   private:
      PassThrough &operator =(const PassThrough &f);
   }; // class PassThrough

#ifdef ENABLE_INLINES
   #include "passthru.inl"
#endif

#endif   // #ifndef PASSTHRU_H_

