//************************************************************************
// Declaration of the Prepend filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef PREPEND_H_
#define PREPEND_H_

#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that prepends the specified data to its input.
//------------------------------------------------------------------------
class Prepend: public ShellFilter
   {
   public:
      static Prepend string(const String &str);
      static Prepend file(const String &pathname);
      static Prepend stream(istream &in);
      Prepend(const Prepend &f);

      DEFINE_FILTER_COPIER(Prepend);
   private:
      Prepend(const ComponentFilter &impl, int dummy);
      Prepend &operator =(const Prepend &f);

   }; // class Prepend

#ifdef ENABLE_INLINES
   #include "prepend.inl"
#endif

#endif   // #ifndef PREPEND_H_

