//************************************************************************
// Definitions of methods for all classes declared in take.h.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************

#include "take.h"

#ifndef ENABLE_INLINES
   #pragma hdrstop         // prevent attempts to precompile .inl file
   #include "take.inl"
#endif

//************************************************************************
// Class Take method definitions.
//************************************************************************

//------------------------------------------------------------------------
// Constructs a Take filter given the number of lines to take.
//------------------------------------------------------------------------
Take::Take(unsigned int numLines): 
   SingleFilter(), numLinesToTake(numLines), numLinesTaken(0)
   {
   // empty
   }

//------------------------------------------------------------------------
// Copy constructor.
//------------------------------------------------------------------------
Take::Take(const Take &f): 
   SingleFilter(f), numLinesToTake(f.numLinesToTake), 
   numLinesTaken(f.numLinesTaken)
   {
   // empty
   }

