//************************************************************************
// Declaration of the Translate filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef TRANSLAT_H_
#define TRANSLAT_H_

#include "filter.h"
#include "charfilt.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that applies the specified character-by-character translation
// to its input.
//------------------------------------------------------------------------
class Translate: public ShellFilter
   {
   public:
      enum TranslationType { TO_UPPER_CASE, TO_LOWER_CASE };

      Translate(const String &inMap, const String &outMap);
      Translate(TranslationType transType);
      Translate(const Translate &f);

      DEFINE_FILTER_COPIER(Translate);
   private:
      Translate &operator =(const Translate &f);
   }; // class Translate

#ifdef ENABLE_INLINES
   #include "translat.inl"
#endif

#endif   // #ifndef TRANSLAT_H_

