//************************************************************************
// Declaration of the WriteTo filter class.
//------------------------------------------------------------------------
// Copyright (C) 1997 by James MacKay
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The author can be contacted via e-mail at: jmackay@sentex.net
//
//************************************************************************
#ifndef WRITETO_H_
#define WRITETO_H_

#include "passthru.h"
#include "filter.h"
#include "release.h"

//************************************************************************
// Class declarations.
//************************************************************************

//------------------------------------------------------------------------
// Filter that outputs its input to the specified destination (and to
// the next filter).
//------------------------------------------------------------------------
class WriteTo: public ShellFilter
   {
   public:
      enum Mode { OVERWRITE, APPEND };

      static WriteTo string(String &dest, Mode outputMode);
      static WriteTo file(const String &pathname, Mode outputMode);
      static WriteTo stream(ostream &out);
      static WriteTo nothing();
      WriteTo(const WriteTo &f);

      DEFINE_FILTER_COPIER(WriteTo);
   private:
      WriteTo(const ComponentFilter &impl, int dummy);
      WriteTo &operator =(const WriteTo &f);
   }; // class WriteTo

#ifdef ENABLE_INLINES
   #include "writeto.inl"
#endif

#endif   // #ifndef WRITETO_H_

